# handparam.py
#
# Basic variables and methods for manipulating a hand model.

# (C) Greg Shakhnarovich, TTI-Chicago, 2008


import poser
scene = poser.Scene()

# there are two sets of parameters affecting the hand: global (orientation of the forearm) and local (orientation of the other elements relative to the forearm)

# Note: this is all for right hand only



armparams = [
    [["Forearm","Bend"],[0,180]],
    [["Forearm","Side-Side"],[-180,180]],
    [["Forearm","Twist"],[-180,180]]
    ]

handparams = [
    [["Forearm","Bend"],[0,180]],
    [["Forearm","Side-Side"],[-180,180]],
    [["Forearm","Twist"],[-180,180]],
    [["Hand","Bend"],[-80,95]],
    [["Hand","Side-Side"],[-45,20]],
    [["Hand", "Twist"],[-180,180]],
    [["Index 1","Bend"],[-40,90]],
    [["Index 1","Side-Side"],[0,15]],
    [["Index 2","Bend"],[0,100]],
    [["Index 3","Bend"],[0,90]],
    [["Mid 1","Bend"],[-40,90]],
    [["Mid 1","Side-Side"],[-10,5]],
    [["Mid 2","Bend"],[0,100]],
    [["Mid 3","Bend"],[0,90]],
    [["Ring 1","Bend"],[-40,90]],
    [["Ring 1","Side-Side"],[-15,0]],
    [["Ring 2","Bend"],[0,100]],
    [["Ring 3","Bend"],[0,90]],
    [["Pinky 1","Bend"],[-40,90]],
    [["Pinky 1","Side-Side"],[-20,5]],
    [["Pinky 2","Bend"],[0,100]],
    [["Pinky 3","Bend"],[0,90]],
    [["Thumb 1","Bend"],[-40,5]],
    [["Thumb 1","Side-Side"],[0,35]],
    [["Thumb 1","Twist"],[0,40]],
    [["Thumb 2","Bend"],[-40,5]],
    [["Thumb 3","Bend"],[-90,10]],
    ]
